# $Revision: 1.22 $, $Date: 2011/02/06 19:34:15 $
Summary:	Extracts the EXIF data from image files
Summary(pl.UTF-8):	Narzędzie wyciągające dane EXIF z plików graficznych
Name:		jhead
Version:	2.90
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.sentex.net/~mwandel/jhead/%{name}-%{version}.tar.gz
# Source0-md5:	661effa9420bb92cb99ced697c5a177f
URL:		http://www.sentex.net/~mwandel/jhead/
Requires:	libjpeg-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jhead is a command line driven utility for extracting digital camera
settings from the Exif format files used by many digital cameras. It
handles the various confusing ways these can be expressed, and
displays them as F-stop, shutter speed, etc. It is also able to reduce
the size of digital camera JPEGs without loss of information, by
deleting integral thumbnails that digital cameras put into the Exif
header. If you need to add Exif support to a program, this is a simple
program to cut and paste from. Many projects, including PHP, have
reused code from this utility.

%description -l pl.UTF-8
Jhead to sterowane z linii poleceń narzędzie do wyciągania ustawień
aparatu z plików w formacie Exif używanego przez wiele aparatów
cyfrowych. Obsługuje wiele różnych mylących sposobów, w jakie mogą być
wyrażone informacje i wyświetla je jako F-stop, szybkość przysłony
itp. Umożliwia także zmniejszenie rozmiaru pliku JPEG bez utraty
informacji poprzez usuwanie miniaturek wstawianych przez aparaty do
nagłówka Exif. Jest to także prosty program, z którego można przekleić
kod w celu obsługi formatu Exif we własnym programie. Wiele projektów,
w tym PHP, użyło kodu z tego narzędzia.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

install -D jhead $RPM_BUILD_ROOT%{_bindir}/%{name}
install jhead.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changes.txt usage.html readme.txt
%attr(755,root,root) %{_bindir}/jhead
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jhead.spec,v $
Revision 1.22  2011/02/06 19:34:15  hawk
- updated to 2.90

Revision 1.21  2007/12/31 16:05:02  glen
- rel 2

Revision 1.20  2007-12-26 21:45:10  zbyniu
- up to 2.8

Revision 1.19  2007-12-10 09:56:19  glen
- R: libjpeg-progs for jpegtran (jhead -autorot); rel 2

Revision 1.18  2007-02-13 08:06:36  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.16  2006/05/28 17:08:03  hawk
- updated to 2.6

Revision 1.15  2005/06/20 20:58:16  blekot
- up to 2.4

Revision 1.14  2005/02/04 22:59:32  matowy
- up to 2.3, added patch (use CFLAGS)

Revision 1.13  2004/09/12 12:06:28  havner
- rel 4

Revision 1.12  2004/09/08 18:29:10  qboosh
- pl desc is back, (un/re)pack manual

Revision 1.11  2004/09/07 11:07:24  blues
- better en-description, pl-removed (to be updated)

Revision 1.10  2004/09/02 18:31:03  darekr
- updated to 2.2

Revision 1.9  2004/08/18 21:59:39  undefine
- release 3

Revision 1.8  2003/11/10 14:17:32  undefine
- release 2
- add manual page
- remove wrong description

Revision 1.7  2003/07/01 13:08:34  serek
- new version.

Revision 1.6  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/10/11 22:07:53  kloczek
- simplifications.

Revision 1.3  2002/10/03 13:47:05  qboosh
- fixed build

Revision 1.2  2002/09/25 16:31:13  ankry
- fixed source filename (.gz, not .bz2)

Revision 1.1  2002/09/25 11:31:21  newrom
- Extracts the EXIF data from image files
